Bug 208293 - [GTK] Several media tests are flaky
Summary: [GTK] Several media tests are flaky
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-27 02:42 PST by Diego Pino
Modified: 2021-07-02 03:50 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Pino 2020-02-27 02:42:28 PST
The following media tests are flaky:

  * media/restricted-audio-playback-with-multiple-settimeouts.html [ Failure Pass ]
  * media/video-ended-event-negative-playback.html [ Failure Pass ]
  * media/video-play-audio-require-user-gesture.html [ Failure Pass ]
  * media/video-restricted-invisible-autoplay-allowed-if-audible.html [ Failure Pass ]

I didn't see any common revision since these tests started to fail.
Comment 1 Diego Pino 2021-06-08 23:52:43 PDT
The only test filed under this bug was:

  - media/video-restricted-invisible-autoplay-allowed-if-audible.html

GTK post-commit test bot reports the test has been failing consistently for the last 4000 revisions.

Diff:

--- /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/video-restricted-invisible-autoplay-allowed-if-audible-expected.txt
+++ /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/video-restricted-invisible-autoplay-allowed-if-audible-actual.txt
@@ -1,4 +1,3 @@
-
 Test that "invisible autoplay not allowed restriction" does not pause audible media when scrolled out of view.
 
 ** setting video.src
@@ -6,13 +5,6 @@
 EVENT(play)
 EXPECTED (video.paused == 'false') OK
 RUN(video.style.display = "none")
-EXPECTED (video.paused == 'false') OK
-RUN(video.style.removeProperty("display"))
-RUN(video.style.visibility = "hidden")
-EXPECTED (video.paused == 'false') OK
-RUN(video.style.removeProperty("visibility"))
-RUN(document.documentElement.style.height = window.innerHeight + 20 + video.offsetHeight)
-RUN(window.scrollBy(0, 20 + video.offsetHeight))
-EXPECTED (video.paused == 'false') OK
+EVENT(pause) TEST(false) FAIL
 END OF TEST
Comment 2 Diego Pino 2021-06-08 23:53:49 PDT
Closed bug by mistake.
Comment 3 Xabier Rodríguez Calvar 2021-07-02 03:50:53 PDT
media/video-restricted-invisible-autoplay-allowed-if-audible.html was fixed in r279499